import { jsx } from "react/jsx-runtime";
import { TokenCOVAL as TokenCOVAL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCOVAL = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "COVAL", "data-name": "TokenCOVAL", ...props, children: /* @__PURE__ */ jsx(TokenCOVAL$1, { variant }) });
  }
);
TokenCOVAL.displayName = "TokenCOVAL";
Object.assign(TokenCOVAL, { isGdsIcon: true });
export {
  TokenCOVAL
};
